interactions:
- request:
    body: !!binary |
[encoded data, 78253 characters]
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: [Bearer __MASTODON_PY_TEST_ACCESS_TOKEN]
      Connection: [keep-alive]
      Content-Length: ['53738']
      Content-Type: [multipart/form-data; boundary=9358a90eb847463ba9d8e31e77893002]
      User-Agent: [python-requests/2.18.4]
    method: POST
    uri: http://localhost:3000/api/v1/media
  response:
    body: {string: '{"id":"9","type":"image","url":"http://localhost:3000/system/media_attachments/files/000/000/009/original/6d445db41d8f3659.jpeg","preview_url":"http://localhost:3000/system/media_attachments/files/000/000/009/small/6d445db41d8f3659.jpeg","remote_url":null,"text_url":"http://localhost:3000/media/Znn_-Gq2xW4boSCkomw","meta":{"focus":{"x":-0.5,"y":0.3},"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"John
        Lennon doing a funny walk"}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Type: [application/json; charset=utf-8]
      ETag: [W/"9070231296442cffae3de885297d79e9"]
      Referrer-Policy: [strict-origin-when-cross-origin]
      Transfer-Encoding: [chunked]
      Vary: ['Accept-Encoding, Origin']
      X-Content-Type-Options: [nosniff]
      X-Download-Options: [noopen]
      X-Frame-Options: [SAMEORIGIN]
      X-Permitted-Cross-Domain-Policies: [none]
      X-Request-Id: [2c198b82-0d17-429f-9d7a-e53599d24ad7]
      X-Runtime: ['0.139553']
      X-XSS-Protection: [1; mode=block]
      content-length: ['533']
    status: {code: 200, message: OK}
- request:
    body: status=LOL+check+this+out&media_ids%5B%5D=9
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: [Bearer __MASTODON_PY_TEST_ACCESS_TOKEN]
      Connection: [keep-alive]
      Content-Length: ['43']
      Content-Type: [application/x-www-form-urlencoded]
      User-Agent: [python-requests/2.18.4]
    method: POST
    uri: http://localhost:3000/api/v1/statuses
  response:
    body: {string: '{"id":"100465738589000517","created_at":"2018-07-30T21:18:33.162Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":false,"spoiler_text":"","visibility":"public","language":"en","uri":"http://localhost:3000/users/mastodonpy_test/statuses/100465738589000517","content":"\u003cp\u003eLOL
        check this out\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test/100465738589000517","reblogs_count":0,"favourites_count":0,"favourited":false,"reblogged":false,"muted":false,"pinned":false,"reblog":null,"application":{"name":"Mastodon.py
        test suite","website":null},"account":{"id":"1234567890123456","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"created_at":"2018-07-13T23:02:25.260Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/123/456/789/012/345/original/mastodonpyupload_.jpeg","avatar_static":"http://localhost:3000/system/accounts/avatars/123/456/789/012/345/original/mastodonpyupload_.jpeg","header":"http://localhost:3000/system/accounts/headers/123/456/789/012/345/original/mastodonpyupload_.jpeg","header_static":"http://localhost:3000/system/accounts/headers/123/456/789/012/345/original/mastodonpyupload_.jpeg","followers_count":0,"following_count":0,"statuses_count":116,"emojis":[],"fields":[{"name":"bread","value":"toasty."},{"name":"lasagna","value":"no!!!"}]},"media_attachments":[{"id":"9","type":"image","url":"http://localhost:3000/system/media_attachments/files/000/000/009/original/6d445db41d8f3659.jpeg","preview_url":"http://localhost:3000/system/media_attachments/files/000/000/009/small/6d445db41d8f3659.jpeg","remote_url":null,"text_url":"http://localhost:3000/media/Znn_-Gq2xW4boSCkomw","meta":{"focus":{"x":-0.5,"y":0.3},"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"John
        Lennon doing a funny walk"}],"mentions":[],"tags":[],"emojis":[]}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Type: [application/json; charset=utf-8]
      ETag: [W/"a46ccdacc5b0a925f6e6f3182cc17ede"]
      Referrer-Policy: [strict-origin-when-cross-origin]
      Transfer-Encoding: [chunked]
      Vary: ['Accept-Encoding, Origin']
      X-Content-Type-Options: [nosniff]
      X-Download-Options: [noopen]
      X-Frame-Options: [SAMEORIGIN]
      X-Permitted-Cross-Domain-Policies: [none]
      X-Request-Id: [c7d7ed56-e7ed-4be8-a905-01461604e6c7]
      X-Runtime: ['0.230335']
      X-XSS-Protection: [1; mode=block]
      content-length: ['2056']
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: [Bearer __MASTODON_PY_TEST_ACCESS_TOKEN]
      Connection: [keep-alive]
      Content-Length: ['0']
      User-Agent: [python-requests/2.18.4]
    method: DELETE
    uri: http://localhost:3000/api/v1/statuses/100465738589000517
  response:
    body: {string: '{}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Type: [application/json; charset=utf-8]
      ETag: [W/"dd8d0a4afede5f7118e71076dbb426d4"]
      Referrer-Policy: [strict-origin-when-cross-origin]
      Transfer-Encoding: [chunked]
      Vary: ['Accept-Encoding, Origin']
      X-Content-Type-Options: [nosniff]
      X-Download-Options: [noopen]
      X-Frame-Options: [SAMEORIGIN]
      X-Permitted-Cross-Domain-Policies: [none]
      X-Request-Id: [3e233abd-a9f0-44af-b74b-8d50faaefa88]
      X-Runtime: ['0.070429']
      X-XSS-Protection: [1; mode=block]
      content-length: ['2']
    status: {code: 200, message: OK}
version: 1
